# AppArmor abstraction for Python scripts installed in virtual env {{ aedir_prefix }}
# {{ ansible_managed }}

  #include <ae-dir/abstractions/base>
  #include <ae-dir/abstractions/nameservice>
  #include <ae-dir/abstractions/ldapclient>

  # grant read access to check whether FIPS-compliant crypto is available
  @{PROC}/sys/crypto/fips_enabled r,

  # Grant access for dynamic linking of OpenLDAP client libs
  {{ openldap_path.libdir }}/ r,
  {{ openldap_path.libdir }}/lib{ldap,lber}* mr,

  # grant read access to system-wide Python modules
  /usr/lib{,32,64}/python{{ aedir_python_version }}/ r,
  /usr/lib{,32,64}/python{{ aedir_python_version }}/**.{pyc,so} mr,
  /usr/lib{,32,64}/python{{ aedir_python_version }}/**.{egg,py,pth} r,
  /usr/lib{,32,64}/python{{ aedir_python_version }}/{site,dist}-packages/ r,
{% if aedir_python_version[0]=="3" %}
  # grant read access to Python 3 shared libs
  /usr/lib{,32,64}/python3.[0-9]/lib-dynload/*.so mr,
{% endif %}

{% if lsb_id=="Debian" %}
  # some special rules for Debian's shared Python module directories
  # shared python paths and config
  /usr/share/{pyshared,pycentral,python-support}/**      r,
  /{var,usr}/lib/{pyshared,pycentral,python-support}/**  r,
  /usr/lib/{pyshared,pycentral,python-support}/**.so     mr,
  /var/lib/{pyshared,pycentral,python-support}/**.pyc    mr,
  /usr/{,local/}lib/python3/dist-packages/**.so          mr,
  /etc/python{{ aedir_python_version }}/ r,
  /etc/python{{ aedir_python_version }}/sitecustomize.py r,
{% endif %}

{% if lsb_id!="SUSE" %}
  # Separate Python virtual env on {{ lsb_id }}
  {{ aedir_python_sitepackages }}/ r,
  {{ aedir_python_sitepackages }}/** r,
  {{ aedir_prefix }}/pyvenv.cfg r,
  {{ aedir_prefix }}/lib/python{{ aedir_python_version }}/ r,
  {{ aedir_prefix }}/lib/python{{ aedir_python_version }}/orig-prefix.txt r,
  {{ aedir_prefix }}/lib/python{{ aedir_python_version }}/**.py{,c,o} r,
  {{ aedir_prefix }}/lib/python{{ aedir_python_version }}/**.so* rm,
{% endif %}

  # Python logging config file
  {{ aedir_etc }}/ae-logging.conf r,
